program Topo_
  !! make topography mask
  !!
  !!
  use sep
  use util_

  implicit none
  real,    pointer :: topo(:)
  real,    pointer :: mask(:,:)

  type(myaxis) :: ax,az
  integer      :: ix,iz
  real         :: xx,zz

  call sep_init()

  call hinaxis(ax,1)
  call from_param("nz",az%n,1)
  call from_param("oz",az%o,0.)
  call from_param("dz",az%d,1.)

  call houaxis(az,1)
  call houaxis(ax,2)

  call to_history("esize",4)
  call sep_close()

  allocate(topo(ax%n))
  allocate(mask(az%n,ax%n))

  call sep_read(topo)

  mask=0.
  do ix=1,ax%n
     zz=-topo(ix)

     iz=nint((zz-az%o)/az%d+1)
     
     mask(iz,ix) = 1.
  end do
  
  call sep_write(mask)

  call exit (0)
end program TOPO_




