program Topo_
  !! make topography mask
  !!
  !!
  use sep
  use util_

  implicit none
  real,    pointer :: wfld(:,:),mask(:,:)
  real,    pointer :: topo(:)  ,data(:)

  type(myaxis) :: ax,az,at
  integer      :: ix,iz,it
  real         :: xx,zz,tt

  call sep_init()

  call hinaxis(az,1)
  call hinaxis(ax,2)
  call hinaxis(at,3)

  call houaxis(ax,1)
  call houaxis(at,2)

  call to_history("esize",4)
  call sep_close()

  allocate(wfld(az%n,ax%n))
  allocate(topo(ax%n))
  allocate(mask(az%n,ax%n))
  allocate(data(ax%n))

  write(0,*) "create topography mask"
  call sreed("topo",topo,size(topo)*4)
  mask=0.
  do ix=1,ax%n
     zz=-topo(ix)
     iz=nint((zz-az%o)/az%d+1)     
     mask(iz,ix) = 1.
  end do

  write(0,*) "create data"
  do it=1,at%n
     write(0,*) it,at%n
     call sep_read(wfld)

     data=0
     do iz=1,az%n
        data = data + wfld(iz,:)*mask(iz,:)
     end do

     call sep_write(data)
  end do

  deallocate(wfld,data,topo,mask)

  call exit (0)
end program TOPO_




